<?php
/**
* fjGuestbook 1.2
*
*    
*
* Copyright 2002--2004 Artem Sapegin
* http://sapegin.ru
*/

/**
*  ,    
*/
function gb_install()
{
	db_query(
		'CREATE TABLE IF NOT EXISTS gb (
			id int(10) unsigned NOT NULL auto_increment,
			datetime datetime NOT NULL default \'0000-00-00 00:00:00\',
			name varchar(100) NOT NULL default \'\',
			email varchar(100) default NULL,
			www varchar(100) default NULL,
			message text NOT NULL,
			PRIMARY KEY (id),
			INDEX (datetime)
		) TYPE=MyISAM;'
	);
}

/**
*     
*/
function gb_add($name, $email, $www, $message, &$error)
{
	//    
	$error = '';
	if(empty($name))
		$error['name'] = '  ';
	if(empty($message))
		$error['message'] = '  ';
	if(!empty($email) && !strings_isemail($email))
		$error['email'] = '  email';

	//     -- 
	if(!$error)
	{
		//  
		$name = strings_clear($name);
		$message = strings_clear($message);
		$name = strings_stripstring($name, 15, 100);
		$email = strings_stripstring($email, 100, 100);
		$www = strings_stripstring($www, 100, 100);
		$message = strings_stripstring($message, 100, 2000);
		$message = nl2br($message);

		//     http://   --    
		if(!empty($www) && 'http://' != substr($www, 0, 7))
			$www = 'http://'.$www;

		//       
		db_query_ex('INSERT INTO gb (name, email, www, message, datetime) VALUES(?, ?, ?, ?, NOW())', $name, $email, $www, $message);
		//     
		//  , ,     Refresh,     
		header('Location: '.PATH."?page=1");
	}
}

//     
function gb_delete($id)
{
  //       
  // WHERE id = '.$id   ,   
  db_query_ex('DELETE FROM gb WHERE id = ?', $id);
  header('Location: '.PATH."?page=1"); // ???
}

//    
function gb_show($page)
{
	//    
	$begin = ($page - 1) * 10;
	//     
	// SELECT * FROM gb --     gb
	// ORDER BY datetime DESC --   ,  
	// LIMIT '.$begin.','.RECSPERPAGE -- : RECSPERPAGE (. defines.php)    $begin
	$result = db_query('SELECT * FROM gb ORDER BY datetime DESC LIMIT '.$begin.', '.RECSPERPAGE);
	$out = '';

	//     
	while($row = mysql_fetch_array($result))
		$out .= template_show_body($row['id'], $row['name'], $row['email'], $row['www'], $row['message'], $row['datetime']);

	//  
	mysql_free_result($result);

	echo $out;
}

//   
function gb_showpages($current)
{
	//      
	$result = db_query('SELECT * FROM gb');
	$rows = mysql_num_rows($result);
	if($rows)
	{
		$pages = ceil($rows / RECSPERPAGE);

		//     (     )
		echo '<div class=c>';
		for($i = 1; $i <= $pages; $i++)
		{
			if($i != $current)
				echo ' | <a href='.PATH.'?page='.$i.'>'.$i.'</a>';
			else
				echo ' | '.$i;
		}
		echo ' |';

		//        ""
		if($current < $pages)
			echo ' <a href='.PATH.'?page='.($current + 1).'> &gt;&gt;</a>';
		echo '</div>';
	}
}

?>