<?php
/**
* fjGuestbook 1.2
*
*  
*
* Copyright 2002--2004 Artem Sapegin
* http://sapegin.ru
*/

/* !      
*   (.  ).  
*     .
*/

//  
$ERROR_TYPES = array
(
	1    => 'Error',
	2    => 'Warning',
	4    => 'Parsing Error',
	8    => 'Notice',
	16   => 'Core Error',
	32   => 'Core Warning',
	64   => 'Compile Error',
	128  => 'Compile Warning',
	256  => 'User Error',
	512  => 'User Warning',
	1024 => 'User Notice',
);

/**
*  .
*      
*   ,    .
*/
ini_set('display_errors', false);
function error_handler($errno, $errmsg, $filename, $linenum)
{
	//     @
	if (error_reporting())
	{
		$uri = $_SERVER['REQUEST_URI'];
		$errtype = $GLOBALS['ERROR_TYPES'][$errno];
		$errmsg = trim($errmsg);

		//    
		error_log(SID.'|'.$uri.'|'.$filename.'|'.$linenum.'|'.$errtype.'|'.$errmsg."\n", 3, ERROR_LOG_FILE);

		//     Notice
		if ('Notice' != $GLOBALS['ERROR_TYPES'][$errno])
		{
			//   
			$message = 'SID:  '.SID."\n"
					 . 'URI:  '.$uri."\n"
					 . 'File: '.$filename."\n"
					 . 'Line: '.$linenum."\n"
					 . 'Type: '.$errtype."\n\n"
					 . $errmsg;
			error_log($message, 1, ADMIN_EMAIL);

			//         
			ob_end_clean();
			exit('<html><head><title></title></head><body><h1></h1><p>   .   .</p></body></html>');
		}
	}
}

//    
$oeh = set_error_handler('error_handler');

?>
